## kadu 0.12.3

=== CMakeLists.txt ===
project (kadu)

# minimal required versions
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

cmake_minimum_required (VERSION 2.8.0 FATAL_ERROR)

if (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)

	if (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
		cmake_policy (SET CMP0015 OLD)
	endif (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
endif (COMMAND cmake_policy)

if (NOT KADU_VERSION)
	if (WIN32)
		set (guessed_paths
			"C:/Program Files/Git/bin"
			"C:/Program Files (x86)/Git/bin"
		)
	else (WIN32)
		set (guessed_paths)
	endif (WIN32)

	find_program (GIT_EXECUTABLE git
		PATHS ${guessed_paths}
		DOC "git command line client"
	)
	if (GIT_EXECUTABLE)
		execute_process (COMMAND ${GIT_EXECUTABLE} describe --tags HEAD
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
			OUTPUT_VARIABLE KADU_VERSION
			OUTPUT_STRIP_TRAILING_WHITESPACE
		)
	endif (GIT_EXECUTABLE)

	if (NOT KADU_VERSION)
		file (READ ${CMAKE_CURRENT_SOURCE_DIR}/VERSION KADU_VERSION)
		string (REPLACE "\n" "" KADU_VERSION ${KADU_VERSION})
	endif (NOT KADU_VERSION)
endif (NOT KADU_VERSION)

if (WIN32)
	# Add more version info to files
	string (REGEX REPLACE "([^\\.]+)\\.([^\\.]+)\\.([^\\.-]+)[\\.-].*" "\\1, \\2, \\3, 0" KADU_NUMERIC_VERSION ${KADU_VERSION})
	set (PACKAGE_VERSION ${KADU_VERSION})
	if (KADU_VERSION MATCHES ".*-.*")
		set (KADU_PRERELEASE 1)
	endif (KADU_VERSION MATCHES ".*-.*")

	# package
	set (CPACK_GENERATOR "ZIP")
	set (CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
	include (CPack)
endif (WIN32)

if (NOT WIN32)
	include (CheckIncludeFiles)

	# TODO: Add libexecinfo support
	check_include_files ("execinfo.h" HAVE_EXECINFO)
	if (HAVE_EXECINFO)
		include (CheckFunctionExists)

		check_function_exists ("backtrace" HAVE_EXECINFO)
	endif (HAVE_EXECINFO)

	if (SIG_HANDLING_ENABLED)
		set (SIG_HANDLING_ENABLED 1)
	endif (SIG_HANDLING_ENABLED)
endif (NOT WIN32)

set (KADU_INSTALLS_SDK TRUE)
include (FindKadu)
include_directories (${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/kadu-core ${QT_INCLUDES})

configure_file (${CMAKE_SOURCE_DIR}/kadu-config.h.cmake ${CMAKE_BINARY_DIR}/kadu-config.h)

if (INSTALL_SDK)
	install (FILES cmake/FindKadu.cmake DESTINATION ${KADU_CMAKE_MODULES_DIR})
	install (FILES ${CMAKE_BINARY_DIR}/kadu-config.h DESTINATION ${KADU_SDK_DIR})
endif (INSTALL_SDK)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# kadu-core sets WITH_LIBINDICATE_QT option which is used by Plugins.cmake
add_subdirectory (kadu-core)
include (Plugins.cmake)
add_subdirectory (plugins)
add_subdirectory (varia)
add_subdirectory (translations)
add_subdirectory (kthxbye)

message (STATUS "Kadu (version: ${KADU_VERSION}) will be built:")
message (STATUS " * install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS " * build type: ${CMAKE_BUILD_TYPE}")

install (FILES AUTHORS HISTORY README THANKS ChangeLog ChangeLog.OLD-PL DESTINATION "${KADU_DATADIR}")
# For Win32 we use GPL3, and this COPYING is GPL2
if (NOT WIN32)
	install (FILES COPYING DESTINATION "${KADU_DATADIR}")
endif (NOT WIN32)

=== anonymous_check/CMakeLists.txt ===
project (anonymous_check)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

set (SOURCES
	anonymous_check.cpp
	anonymous_check-plugin.cpp
	anonymous_info.cpp
)

set (MOC_SOURCES
	anonymous_check-plugin.h
	anonymous_check.h
)

set (TRANSLATION_SOURCES
	translations/anonymous_check_pl.ts
)

kadu_plugin (anonymous_check
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
)

=== import_history/CMakeLists.txt ===
project (import_history)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

include (FindPkgConfig)

set (SOURCES
  import_history.cpp
  gui/gui.cpp
  importers/importer.cpp
  importers/gg7/crc32.cpp
  importers/gg7/ggimporter.cpp
  importers/gg8/gg8importer.cpp
  misc/memfile.cpp
)

set (MOC_SOURCES
  import_history.h
  gui/gui.h
  importers/importer.h
  importers/gg7/ggimporter.h
  importers/gg8/gg8importer.h
)

set (TRANSLATION_SOURCES
  translations/import_history_pl.ts
  translations/import_history_de.ts
  translations/import_history_it.ts
  translations/import_history_fr.ts
)

set (CONFIGURATION_FILES
)

if (WIN32)
  # we need to bundle sqlite on Windows
  list (APPEND SOURCES
    sqlite3.c
  )

  if (NOT MSVC)
    set_source_files_properties (sqlite3.c PROPERTIES
      COMPILE_FLAGS "-fno-strict-aliasing -Wno-error"
    )
  endif (NOT MSVC)
endif (WIN32)

if (WIN32)
	if (NOT WIN_LIBGADU_DIR)
		message (SEND_ERROR "Pass path to libgadu -DWIN_LIBGADU_DIR=path")
		set (WIN_LIBGADU_DIR "")
	else (NOT WIN_LIBGADU_DIR)
		set (LIBGADU_FOUND true)
		set (LIBGADU_INCLUDE_DIRS ${WIN_LIBGADU_DIR}/include)
		if (MSVC)
			if (CMAKE_BUILD_TYPE STREQUAL "Debug")
				set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build/Debug)
			else (CMAKE_BUILD_TYPE STREQUAL "Debug")
				set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build/Release)
			endif (CMAKE_BUILD_TYPE STREQUAL "Debug")
		else (MSVC)
			set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build)
		endif (MSVC)
		set (LIBGADU_LIBRARIES gadu ws2_32)
	endif (NOT WIN_LIBGADU_DIR)
else (WIN32)
	pkg_search_module (LIBGADU REQUIRED libgadu)
endif (WIN32)

include_directories (${LIBGADU_INCLUDE_DIRS})
link_directories (${LIBGADU_LIBRARY_DIRS})

qt4_wrap_ui(import_history_UIS gui/import_history.ui)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

kadu_plugin(import_history
  PLUGIN_SOURCES ${SOURCES} ${import_history_UIS}
  PLUGIN_MOC_SOURCES ${MOC_SOURCES}
  PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
  PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
  PLUGIN_LIBRARIES ${LIBGADU_LIBRARIES}
  PLUGIN_DEPENDENCIES history gadu_protocol
)

=== kadu-core/CMakeLists.txt ===
include (FindPkgConfig)

if (NOT MSVC AND NOT APPLE)
	set (FAST_LINKING_DEFAULT ON)
else (NOT MSVC AND NOT APPLE)
	set (FAST_LINKING_DEFAULT OFF)
endif (NOT MSVC AND NOT APPLE)
option (FAST_LINKING "Enable for linking optimized for low RAM (works best with GCC and GNU ld)" "${FAST_LINKING_DEFAULT}")

if (FAST_LINKING)
	message (STATUS "Fast (re)linking enabled")
else (FAST_LINKING)
	message (STATUS "Fast (re)linking disabled")
endif (FAST_LINKING)

if (NOT WIN32)
	option (SIG_HANDLING_ENABLED "Define if you want system signals handling" ON)
endif (NOT WIN32)

if (UNIX AND NOT APPLE)
	if (NOT DEFINED WITH_LIBINDICATE_QT OR WITH_LIBINDICATE_QT)
		pkg_search_module (LIBINDICATE_QT indicate-qt)
	endif (NOT DEFINED WITH_LIBINDICATE_QT OR WITH_LIBINDICATE_QT)

	option (WITH_LIBINDICATE_QT "Compile with Messaging Menu (Ayatana) support through libindicate-qt" "${LIBINDICATE_QT_FOUND}")

	if (WITH_LIBINDICATE_QT)
		if (NOT LIBINDICATE_QT_FOUND)
			message (SEND_ERROR "Could NOT find libindicate-qt")
		else (NOT LIBINDICATE_QT_FOUND)
			message (STATUS "Found libindicate-qt. Enabling Ayatana support")
			# We need to link core to libindicate-qt so that indicator_docking
			# doesn't crash at unloading. And it crashes mainly because dbus-glib
			# doesn't support being dlclose()'d, so there is no better workaround.
			link_directories (${LIBINDICATE_QT_LIBRARY_DIRS})
			add_definitions (${LIBINDICATE_QT_CFLAGS_OTHER})
			include_directories (${LIBINDICATE_QT_INCLUDE_DIRS})
			list (APPEND ADDITIONAL_LIBRARIES ${LIBINDICATE_QT_LIBRARIES})
		endif (NOT LIBINDICATE_QT_FOUND)
	else (WITH_LIBINDICATE_QT)
		message (STATUS "Could NOT find libindicate-qt. Disabling Ayatana support")
	endif (WITH_LIBINDICATE_QT)
endif (UNIX AND NOT APPLE)

if (NOT DEFINED NETWORK_IMPLEMENTATION OR "${NETWORK_IMPLEMENTATION}" STREQUAL "ntrack")
	find_package (QNtrack 010)
endif (NOT DEFINED NETWORK_IMPLEMENTATION OR "${NETWORK_IMPLEMENTATION}" STREQUAL "ntrack")

if (NOT DEFINED NETWORK_IMPLEMENTATION)
	if (QNTRACK_FOUND)
		message (STATUS "No NETWORK_IMPLEMENTATION defined. Autodetected implementation: ntrack")
		set (NETWORK_IMPLEMENTATION "ntrack")
	else (QNTRACK_FOUND)
		message (STATUS "No NETWORK_IMPLEMENTATION defined. Autodetected implementation: Qt")
		set (NETWORK_IMPLEMENTATION "Qt")
	endif (QNTRACK_FOUND)
endif ()

set (NETWORK_IMPLEMENTATION "${NETWORK_IMPLEMENTATION}" CACHE STRING "Select network-aware implementation (Qt/ntrack/dummy)" FORCE)

if ("${NETWORK_IMPLEMENTATION}" STREQUAL "ntrack")
	list (APPEND ADDITIONAL_LIBRARIES ${QNTRACK_LIBRARIES})
endif ("${NETWORK_IMPLEMENTATION}" STREQUAL "ntrack")
# The rest of NETWORK_IMPLEMENTATION stuff is handled in network/CMakeLists.txt.

set (kadu_SRCS
	activate.cpp
	debug.cpp
	html_document.cpp
	kadu-application.cpp
	languages-manager.cpp
	themes.cpp
	updates.cpp

	os/qtsingleapplication/qtlocalpeer.cpp
	os/qtsingleapplication/qtlockedfile.cpp
)

if (WIN32)
	list (APPEND kadu_SRCS
		kadu.rc

		os/qtsingleapplication/qtlockedfile_win.cpp
	)
else (WIN32)
	list (APPEND kadu_SRCS
		main.cpp
		main_unix.cpp

		os/qtsingleapplication/qtlockedfile_unix.cpp
	)
endif (WIN32)

if (UNIX AND NOT APPLE)
	list (APPEND kadu_SRCS
		os/x11tools.cpp
	)
endif (UNIX AND NOT APPLE)

set (kadu_MOC_SRCS
	kadu-application.h
	themes.h
	updates.h
)

set (kadu_SUBDIRS
	accounts
	avatars
	buddies
	chat
	configuration
	contacts
	core
	emoticons
	file-transfer
	gui
	icons
	identities
	message
	misc
	model
	multilogon
	network
	notify
	os
	parser
	plugins
	protocols
	qt
	status
	storage
	talkable
	themes
	url-handlers
)

qt4_wrap_cpp (MOC_FILES ${kadu_MOC_SRCS})

if (WIN32)
	if (NOT WIN_QCA_DIR)
		message (SEND_ERROR "Pass path to libqca2 -DWIN_QCA_DIR=path")
	else (NOT WIN_QCA_DIR)
		set (QCA2_INCLUDE_DIRS ${WIN_QCA_DIR}/include/QtCrypto)
		set (QCA2_LIBRARIES optimized qca2 debug qcad2)

		if (MSVC)
			set (QCA2_LIBRARY_DIRS ${WIN_QCA_DIR}/lib)
		else (MSVC)
			set (QCA2_LIBRARY_DIRS ${WIN_QCA_DIR}/bin)
		endif (MSVC)
	endif (NOT WIN_QCA_DIR)
else (WIN32)
	pkg_search_module (QCA2 REQUIRED qca2)
endif (WIN32)

link_directories (${QCA2_LIBRARY_DIRS})
add_definitions (${QCA2_CFLAGS_OTHER})
include_directories (${QCA2_INCLUDE_DIRS})

if (UNIX AND NOT APPLE)
	find_package (X11 REQUIRED COMPONENTS X11 Xutil Xfixes)
	if (X11_FOUND AND X11_Xutil_FOUND AND X11_Xfixes_FOUND)
		message (STATUS "Found required X11 libraries: ${X11_X11_LIB};${X11_Xfixes_LIB}")
	else (X11_FOUND AND X11_Xutil_FOUND AND X11_Xfixes_FOUND)
		message (FATAL_ERROR "Could NOT find X11 or X11 Xfixes extension")
	endif (X11_FOUND AND X11_Xutil_FOUND AND X11_Xfixes_FOUND)

	include_directories (${X11_INCLUDE_DIR})
	list (APPEND ADDITIONAL_LIBRARIES ${X11_X11_LIB} ${X11_Xfixes_LIB})

	if (NOT DESKTOP_ENTRY)
		set (DESKTOP_ENTRY ${CMAKE_CURRENT_BINARY_DIR}/kadu.desktop)
	endif (NOT DESKTOP_ENTRY)
	add_custom_command (OUTPUT ${DESKTOP_ENTRY}
		COMMAND touch ${DESKTOP_ENTRY}
		COMMAND sh ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh ${CMAKE_INSTALL_PREFIX} > ${DESKTOP_ENTRY}
		DEPENDS ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh
		COMMENT "Generating desktop entry file"
	)
	add_custom_target (DESKTOP_ENTRY_FILE ALL
		DEPENDS ${DESKTOP_ENTRY}
	)
endif (UNIX AND NOT APPLE)

if (APPLE)
	list (APPEND ADDITIONAL_LIBRARIES "-framework carbon")
endif (APPLE)

macro (kadu_subdirectory SUBDIR SRCS MOC_SRCS ADDITIONAL_INCLUDES)
	if (FAST_LINKING)
		set (${SUBDIR}_MOC_FILES "")
		if (NOT "${MOC_SRCS}" STREQUAL "")
			qt4_wrap_cpp (${SUBDIR}_MOC_FILES ${MOC_SRCS})
		endif (NOT "${MOC_SRCS}" STREQUAL "")

		add_library (${SUBDIR}
			STATIC
			${SRCS}
			${${SUBDIR}_MOC_FILES}
		)
		set_target_properties (${SUBDIR} PROPERTIES COMPILE_DEFINITIONS KADULIB)
	else (FAST_LINKING)
		set (tmp "")
		foreach (SRC ${SRCS})
			list (APPEND tmp "${SUBDIR}/${SRC}")
		endforeach (SRC)

		set (tmp_moc "")
		foreach (MOC_SRC ${MOC_SRCS})
			list (APPEND tmp_moc "${SUBDIR}/${MOC_SRC}")
		endforeach (MOC_SRC)

		set (${SUBDIR}_SRCS "${tmp}" PARENT_SCOPE)
		set (${SUBDIR}_MOC_SRCS "${tmp_moc}" PARENT_SCOPE)
		set (${SUBDIR}_INCLUDES "${ADDITIONAL_INCLUDES}" PARENT_SCOPE)
	endif (FAST_LINKING)
endmacro (kadu_subdirectory)

macro (kadu_source_subdirectories CURRENT_TARGET)
	foreach (ARG ${ARGN})
		add_subdirectory (${ARG})

		if (FAST_LINKING)
			link_directories (${ARG})
			add_dependencies (${CURRENT_TARGET}
				${ARG}
			)
		else (FAST_LINKING)
			list (APPEND kadu_SUBDIRS_SRCS "${${ARG}_SRCS}")
			qt4_wrap_cpp (MOC_FILES "${${ARG}_MOC_SRCS}")
			include_directories (${${ARG}_INCLUDES})
		endif (FAST_LINKING)
	endforeach (ARG)

	if (FAST_LINKING)
		if (APPLE)
			target_link_libraries (${CURRENT_TARGET} -Wl,-all_load ${ARGN})
		else (APPLE)
			target_link_libraries (${CURRENT_TARGET} -Wl,--start-group -Wl,--whole-archive ${ARGN} -Wl,--no-whole-archive -Wl,--end-group)
		endif (APPLE)
	endif (FAST_LINKING)
endmacro (kadu_source_subdirectories)

if (WIN32)
	set (KADU_MAIN_SOURCES_TARGET kadu_core)
else (WIN32)
	set (KADU_MAIN_SOURCES_TARGET kadu)
endif (WIN32)

if (NOT FAST_LINKING)
	kadu_source_subdirectories (${KADU_MAIN_SOURCES_TARGET} ${kadu_SUBDIRS})
endif (NOT FAST_LINKING)
if (WIN32)
	add_library (${KADU_MAIN_SOURCES_TARGET} SHARED ${kadu_SRCS} ${kadu_SUBDIRS_SRCS} ${MOC_FILES})
else (WIN32)
	add_executable (${KADU_MAIN_SOURCES_TARGET} ${kadu_SRCS} ${kadu_SUBDIRS_SRCS} ${MOC_FILES})
endif (WIN32)
if (FAST_LINKING)
	kadu_source_subdirectories (${KADU_MAIN_SOURCES_TARGET} ${kadu_SUBDIRS})
endif (FAST_LINKING)

set_target_properties (${KADU_MAIN_SOURCES_TARGET} PROPERTIES
	ENABLE_EXPORTS ON
	COMPILE_DEFINITIONS KADULIB
	LINK_INTERFACE_LIBRARIES ""
)

target_link_libraries (${KADU_MAIN_SOURCES_TARGET} ${QT_LIBRARIES} ${QCA2_LIBRARIES} ${ADDITIONAL_LIBRARIES})

if (WIN32)
	add_executable (kadu WIN32 main.cpp main_win32.cpp kadu.rc)
	add_executable (kadu_c main.cpp main_win32.cpp kadu.rc)

	set_target_properties (kadu_c PROPERTIES COMPILE_DEFINITIONS KADU_CONSOLE)

	target_link_libraries (kadu ${KADU_MAIN_SOURCES_TARGET} ${QT_QTMAIN_LIBRARY} ${QT_LIBRARIES} ws2_32)
	target_link_libraries (kadu_c ${KADU_MAIN_SOURCES_TARGET} ${QT_LIBRARIES} ws2_32)

	if (INSTALL_SDK)
		install (TARGETS ${KADU_MAIN_SOURCES_TARGET}
			ARCHIVE DESTINATION ${KADU_SDK_DIR}/lib
			LIBRARY DESTINATION ${KADU_SDK_DIR}/lib
		)
	endif (INSTALL_SDK)

	install (TARGETS ${KADU_MAIN_SOURCES_TARGET} RUNTIME DESTINATION ${KADU_BINDIR})
	install (TARGETS kadu_c DESTINATION ${KADU_BINDIR})

	file (WRITE "${CMAKE_BINARY_DIR}/qt.conf" "[Paths]\nPlugins = qt-plugins\nTranslations = translations\n")
	install (FILES "${CMAKE_BINARY_DIR}/qt.conf" "kadu.ico" DESTINATION "${KADU_BINDIR}")
endif (WIN32)

install (TARGETS kadu DESTINATION ${KADU_BINDIR})

# install desktop file
if (UNIX AND NOT APPLE)
	install (FILES ${DESKTOP_ENTRY} DESTINATION ${KADU_DESKTOP_FILE_DIR} RENAME ${KADU_DESKTOP_FILE_NAME})

	install (FILES hi16-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps" RENAME kadu.png)
	install (FILES hi22-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/22x22/apps" RENAME kadu.png)
	install (FILES hi24-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/24x24/apps" RENAME kadu.png)
	install (FILES hi32-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps" RENAME kadu.png)
	install (FILES hi48-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps" RENAME kadu.png)
	install (FILES hi64-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps" RENAME kadu.png)
	install (FILES hi128-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps" RENAME kadu.png)
	install (FILES hi256-app-kadu.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/256x256/apps" RENAME kadu.png)
endif (UNIX AND NOT APPLE)

install (FILES "chat/style-engines/chat-scripts.js" DESTINATION "${KADU_DATADIR}/scripts")

# install api headers
# how to get list: find . -name '*.h' -exec dirname {} +|sort|uniq|sed -e 's|\./||' -e 's|^|\t|'
# TODO: consider using file (GLOB_RECURSE) command here
kadu_api_directories (kadu-core
	.
	accounts
	accounts/filter
	accounts/model
	avatars
	buddies
	buddies/model
	chat
	chat/model
	chat/style-engines
	chat/style-engines/chat-engine-adium
	chat/style-engines/chat-engine-kadu
	chat/type
	configuration
	contacts
	contacts/model
	core
	emoticons
	file-transfer
	gui
	gui/actions
	gui/actions/chat
	gui/model
	gui/widgets
	gui/widgets/configuration
	gui/windows
	gui/windows/open-chat-with
	icons
	identities
	identities/model
	message
	misc
	model
	multilogon
	multilogon/model
	network
	network/proxy
	network/proxy/model
	notify
	os
	os/generic
	os/qtsingleapplication
	parser
	plugins
	plugins/model
	protocols
	protocols/filter
	protocols/model
	protocols/services
	protocols/services/roster
	provider
	qt
	status
	storage
	talkable
	talkable/filter
	talkable/model
	themes
	url-handlers
)

=== kadu_completion/CMakeLists.txt ===
project (kadu_completion)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

set (SOURCES
    completion_context.cpp
    kadu_completion.cpp
    kadu_completion_plugin.cpp
)

set (MOC_SOURCES
    completion_context.h
    kadu_completion.h
    kadu_completion_plugin.h
)

set (DATA_FILES
    data/list.txt
)

kadu_plugin (kadu_completion
    PLUGIN_SOURCES ${SOURCES}
    PLUGIN_MOC_SOURCES ${MOC_SOURCES}
)

install (FILES ${DATA_FILES}
    DESTINATION ${KADU_PLUGINS_DIR}/data/kadu_completion)

=== mime_tex/CMakeLists.txt ===
project (mime_tex)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

add_subdirectory (mimetex)
set (SOURCES
	formula_view.cpp
	formula_widget.cpp
	mime_tex.cpp
	mime_tex_plugin.cpp
	tex_formula_dialog.cpp
)

set (MOC_SOURCES
	formula_view.h
	formula_widget.h
	mime_tex.h
	mime_tex_plugin.h
	tex_formula_dialog.h
)

set (TRANSLATION_SOURCES
	translations/mime_tex_pl.ts
)

set (CONFIGURATION_FILES
	configuration/mime_tex.ui)

set (DATA_FILES
	data/mime_tex_32x32.png
)
set (DATA_FILES_EDITOR_ICONS
	data/editor_icons/redo.png
	data/editor_icons/undo.png
)
set (DATA_FILES_MIME_TEX_ICONS
	data/mime_tex_icons/arrows_tab_Downarrow.png
	data/mime_tex_icons/arrows_tab_icon.png
	data/mime_tex_icons/arrows_tab_leftarrow.png
	data/mime_tex_icons/arrows_tab_Leftarrow.png
	data/mime_tex_icons/arrows_tab_leftharpoondown.png
	data/mime_tex_icons/arrows_tab_leftharpoonup.png
	data/mime_tex_icons/arrows_tab_leftrightarrow.png
	data/mime_tex_icons/arrows_tab_Leftrightarrow.png
	data/mime_tex_icons/arrows_tab_longleftarrow.png
	data/mime_tex_icons/arrows_tab_Longleftarrow.png
	data/mime_tex_icons/arrows_tab_longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_Longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_longrightarrow.png
	data/mime_tex_icons/arrows_tab_Longrightarrow.png
	data/mime_tex_icons/arrows_tab_nearrow.png
	data/mime_tex_icons/arrows_tab_nwarrow.png
	data/mime_tex_icons/arrows_tab_rightarrow.png
	data/mime_tex_icons/arrows_tab_Rightarrow.png
	data/mime_tex_icons/arrows_tab_rightharpoondown.png
	data/mime_tex_icons/arrows_tab_rightharpoonup.png
	data/mime_tex_icons/arrows_tab_rightleftharpoons.png
	data/mime_tex_icons/arrows_tab_searrow.png
	data/mime_tex_icons/arrows_tab_swarrow.png
	data/mime_tex_icons/arrows_tab_uparrow.png
	data/mime_tex_icons/arrows_tab_Uparrow.png
	data/mime_tex_icons/arrows_tab_updownarrow.png
	data/mime_tex_icons/arrows_tab_Updownarrow.png
	data/mime_tex_icons/arrows_tab_vec.png
	data/mime_tex_icons/delimiters_tab_hat.png
	data/mime_tex_icons/delimiters_tab_icon.png
	data/mime_tex_icons/delimiters_tab_langle.png
	data/mime_tex_icons/delimiters_tab_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_bracket.png
	data/mime_tex_icons/delimiters_tab_left_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_square_bracket.png
	data/mime_tex_icons/delimiters_tab_overbrace_desc.png
	data/mime_tex_icons/delimiters_tab_overbrace.png
	data/mime_tex_icons/delimiters_tab_overline.png
	data/mime_tex_icons/delimiters_tab_rangle.png
	data/mime_tex_icons/delimiters_tab_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_bracket.png
	data/mime_tex_icons/delimiters_tab_right_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_square_bracket.png
	data/mime_tex_icons/delimiters_tab_underbrace_desc.png
	data/mime_tex_icons/delimiters_tab_underbrace.png
	data/mime_tex_icons/delimiters_tab_underline.png
	data/mime_tex_icons/greek_letters_tab_alpha.png
	data/mime_tex_icons/greek_letters_tab_beta.png
	data/mime_tex_icons/greek_letters_tab_chi.png
	data/mime_tex_icons/greek_letters_tab_delta.png
	data/mime_tex_icons/greek_letters_tab_Delta.png
	data/mime_tex_icons/greek_letters_tab_epsilon.png
	data/mime_tex_icons/greek_letters_tab_eta.png
	data/mime_tex_icons/greek_letters_tab_gamma.png
	data/mime_tex_icons/greek_letters_tab_Gamma.png
	data/mime_tex_icons/greek_letters_tab_icon.png
	data/mime_tex_icons/greek_letters_tab_iota.png
	data/mime_tex_icons/greek_letters_tab_kappa.png
	data/mime_tex_icons/greek_letters_tab_lambda.png
	data/mime_tex_icons/greek_letters_tab_Lambda.png
	data/mime_tex_icons/greek_letters_tab_mu.png
	data/mime_tex_icons/greek_letters_tab_nu.png
	data/mime_tex_icons/greek_letters_tab_omega.png
	data/mime_tex_icons/greek_letters_tab_Omega.png
	data/mime_tex_icons/greek_letters_tab_phi.png
	data/mime_tex_icons/greek_letters_tab_Phi.png
	data/mime_tex_icons/greek_letters_tab_pi.png
	data/mime_tex_icons/greek_letters_tab_Pi.png
	data/mime_tex_icons/greek_letters_tab_psi.png
	data/mime_tex_icons/greek_letters_tab_Psi.png
	data/mime_tex_icons/greek_letters_tab_rho.png
	data/mime_tex_icons/greek_letters_tab_sigma.png
	data/mime_tex_icons/greek_letters_tab_Sigma.png
	data/mime_tex_icons/greek_letters_tab_tau.png
	data/mime_tex_icons/greek_letters_tab_theta.png
	data/mime_tex_icons/greek_letters_tab_Theta.png
	data/mime_tex_icons/greek_letters_tab_upsilon.png
	data/mime_tex_icons/greek_letters_tab_Upsilon.png
	data/mime_tex_icons/greek_letters_tab_varepsilon.png
	data/mime_tex_icons/greek_letters_tab_varphi.png
	data/mime_tex_icons/greek_letters_tab_varpi.png
	data/mime_tex_icons/greek_letters_tab_varrho.png
	data/mime_tex_icons/greek_letters_tab_varsigma.png
	data/mime_tex_icons/greek_letters_tab_vartheta.png
	data/mime_tex_icons/greek_letters_tab_xi.png
	data/mime_tex_icons/greek_letters_tab_Xi.png
	data/mime_tex_icons/greek_letters_tab_zeta.png
	data/mime_tex_icons/relations_tab_approx.png
	data/mime_tex_icons/relations_tab_bigcap.png
	data/mime_tex_icons/relations_tab_bigcup.png
	data/mime_tex_icons/relations_tab_cap.png
	data/mime_tex_icons/relations_tab_cup.png
	data/mime_tex_icons/relations_tab_equiv.png
	data/mime_tex_icons/relations_tab_frac.png
	data/mime_tex_icons/relations_tab_geq.png
	data/mime_tex_icons/relations_tab_gg.png
	data/mime_tex_icons/relations_tab_icon.png
	data/mime_tex_icons/relations_tab_index_lower.png
	data/mime_tex_icons/relations_tab_index_upper.png
	data/mime_tex_icons/relations_tab_in.png
	data/mime_tex_icons/relations_tab_int_from.png
	data/mime_tex_icons/relations_tab_int_from_to.png
	data/mime_tex_icons/relations_tab_int.png
	data/mime_tex_icons/relations_tab_leq.png
	data/mime_tex_icons/relations_tab_lim.png
	data/mime_tex_icons/relations_tab_ll.png
	data/mime_tex_icons/relations_tab_neq.png
	data/mime_tex_icons/relations_tab_ni.png
	data/mime_tex_icons/relations_tab_oint_from.png
	data/mime_tex_icons/relations_tab_oint_from_to.png
	data/mime_tex_icons/relations_tab_oint.png
	data/mime_tex_icons/relations_tab_pm.png
	data/mime_tex_icons/relations_tab_prod_from.png
	data/mime_tex_icons/relations_tab_prod_from_to.png
	data/mime_tex_icons/relations_tab_prod.png
	data/mime_tex_icons/relations_tab_simeq.png
	data/mime_tex_icons/relations_tab_sim.png
	data/mime_tex_icons/relations_tab_sqrt_n.png
	data/mime_tex_icons/relations_tab_sqrt.png
	data/mime_tex_icons/relations_tab_subseteq.png
	data/mime_tex_icons/relations_tab_subset.png
	data/mime_tex_icons/relations_tab_sum_from.png
	data/mime_tex_icons/relations_tab_sum_from_to.png
	data/mime_tex_icons/relations_tab_sum.png
	data/mime_tex_icons/relations_tab_supseteq.png
	data/mime_tex_icons/relations_tab_supset.png
	data/mime_tex_icons/symbols_tab_aleph.png
	data/mime_tex_icons/symbols_tab_angle.png
	data/mime_tex_icons/symbols_tab_bot.png
	data/mime_tex_icons/symbols_tab_cdot.png
	data/mime_tex_icons/symbols_tab_cdots.png
	data/mime_tex_icons/symbols_tab_ddots.png
	data/mime_tex_icons/symbols_tab_emptyset.png
	data/mime_tex_icons/symbols_tab_forall.png
	data/mime_tex_icons/symbols_tab_hbar.png
	data/mime_tex_icons/symbols_tab_icon.png
	data/mime_tex_icons/symbols_tab_Im.png
	data/mime_tex_icons/symbols_tab_infty.png
	data/mime_tex_icons/symbols_tab_ldots.png
	data/mime_tex_icons/symbols_tab_nabla.png
	data/mime_tex_icons/symbols_tab_partial.png
	data/mime_tex_icons/symbols_tab_prime.png
	data/mime_tex_icons/symbols_tab_Re.png
	data/mime_tex_icons/symbols_tab_surd.png
	data/mime_tex_icons/tex_icon.png
)

kadu_plugin (mime_tex
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

install (FILES ${DATA_FILES}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex)
install (FILES ${DATA_FILES_EDITOR_ICONS}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex/editor_icons)
install (FILES ${DATA_FILES_MIME_TEX_ICONS}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex/mime_tex_icons)

=== networkping/CMakeLists.txt ===
project( networkping )

cmake_minimum_required( VERSION 2.8 )
set( QT_MIN_VERSION "4.7.0" )
set( CMAKE_MIN_VERSION "2.8.0" )

set( KADU_FIND_REQUIRED true )
include( FindKadu )

include_directories( ${KADU_INCLUDE_DIR} )
include_directories( ${KADU_INCLUDE_DIR}/kadu-core )

set( SOURCES
	networkping.cpp
)

set( MOC_SOURCES
	networkping.h
)

set( TRANSLATION_SOURCES
	translations/networkping_en.ts
	translations/networkping_pl.ts
)

set( CONFIGURATION_FILES
	configuration/networkping.ui
)

kadu_plugin( networkping
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== panelkadu/CMakeLists.txt ===
project( panelkadu )

cmake_minimum_required( VERSION 2.8 )
set( QT_MIN_VERSION "4.7.0" )
set( CMAKE_MIN_VERSION "2.8.0" )

set( KADU_FIND_REQUIRED true )
include( FindKadu )

include_directories( ${KADU_INCLUDE_DIR} )
include_directories( ${KADU_INCLUDE_DIR}/kadu-core )

set( SOURCES
	panelkadu.cpp
)

set( MOC_SOURCES
	panelkadu.h
)

set( TRANSLATION_SOURCES
	translations/panelkadu_en.ts
	translations/panelkadu_cs.ts
	translations/panelkadu_es_ES.ts
	translations/panelkadu_pl.ts
)

set( CONFIGURATION_FILES
	configuration/panelkadu.ui
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-strict-aliasing" )

kadu_plugin( panelkadu
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== plugins/CMakeLists.txt ===
option (BUILD_PLUGINS "Switch to OFF if you do not want to build plugins" ON)

if (BUILD_PLUGINS)
	if (NOT WIN32)
		find_program (AWK gawk awk)
		if (AWK)
			set (_COMPILE_PLUGINS "")
			foreach (ARG ${COMPILE_PLUGINS})
				set (_COMPILE_PLUGINS "${_COMPILE_PLUGINS} ${ARG}")
			endforeach (ARG)

			exec_program (${CMAKE_CURRENT_SOURCE_DIR}/check-deps.sh ${CMAKE_CURRENT_SOURCE_DIR}
				ARGS ${AWK} ${_COMPILE_PLUGINS}
				OUTPUT_VARIABLE DEPS_MESSAGE
				RETURN_VALUE DEPS_STATUS
			)

			if (DEPS_STATUS EQUAL 1)
				message (FATAL_ERROR ${DEPS_MESSAGE})
			endif (DEPS_STATUS EQUAL 1)
		endif (AWK)
	endif (NOT WIN32)

	foreach (PLUGIN ${COMPILE_PLUGINS})
		message (STATUS "Plugin: " ${PLUGIN})
		add_subdirectory (${PLUGIN})
	endforeach (PLUGIN)
endif (BUILD_PLUGINS)

if (WIN32 AND INSTALL_SDK)
	install (PROGRAMS pluginrcgen.bat DESTINATION "${KADU_SDK_DIR}/plugins")
	install (FILES pluginbase.rc DESTINATION "${KADU_SDK_DIR}/plugins")
endif (WIN32 AND INSTALL_SDK)

=== senthistory/CMakeLists.txt ===
project( senthistory )

cmake_minimum_required( VERSION 2.8 )
set( QT_MIN_VERSION "4.7.0" )
set( CMAKE_MIN_VERSION "2.8.0" )

set( KADU_FIND_REQUIRED true )
include( FindKadu )

include_directories( ${KADU_INCLUDE_DIR} )
include_directories( ${KADU_INCLUDE_DIR}/kadu-core )

set( SOURCES
	senthistory.cpp
)

set( MOC_SOURCES
	senthistory.h
)

set( TRANSLATION_SOURCES
	translations/senthistory_en.ts
	translations/senthistory_cs.ts
	translations/senthistory_pl.ts
	translations/senthistory_tr.ts
)

set( CONFIGURATION_FILES
	configuration/senthistory.ui
)

kadu_plugin( senthistory
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== translations/CMakeLists.txt ===
file (GLOB TRANSLATION_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_PROJECT_NAME}_*.ts")
file (GLOB LANGAUGE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.language")

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

add_custom_target (translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (kadu translations)

install (FILES ${TRANSLATION_FILES} ${LANGAUGE_FILES}
	DESTINATION "${KADU_DATADIR}/translations"
)

if (INSTALL_SDK)
	install (PROGRAMS plugintsupdate.sh DESTINATION "${KADU_SDK_DIR}/translations")
	install (FILES configuration-ui.xsl DESTINATION "${KADU_SDK_DIR}/translations")
endif (INSTALL_SDK)

=== varia/CMakeLists.txt ===
add_subdirectory (configuration)
add_subdirectory (syntax)
add_subdirectory (themes)

=== debian/changelog ===
kadu (0.12.3-3) unstable; urgency=low

  * Fixed a build issue. Thanks Mateusz Łukasik for the patch! (Closes:
    #730923)

 -- Patryk Cisek <patryk@debian.org>  Sun, 08 Dec 2013 09:26:29 +0100

kadu (0.12.3-2) unstable; urgency=low

  * debian.install and debian/kadu-external-modules.install are now modified
    so they fit non-linux Debian flavors
  * Bumped Standards-Version to 3.9.4

 -- Patryk Cisek <patryk@debian.org>  Sat, 13 Jul 2013 19:10:55 +0200

kadu (0.12.3-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/05-hotfix_upstream.patch and
    debian/patches/06-mpris_player-harden-fix.patch -- patches applied
    upstream
  * Icon theme glass is installed again, since all icon sizes have been
    corrected
  * Changed build dependency from aspell to enchant (Upstream's suggestion)

 -- Patryk Cisek <patryk@debian.org>  Sat, 15 Sep 2012 13:02:48 +0200

kadu (0.12.2-3) unstable; urgency=low

  * Added debian/patches/06-mpris_player-harden-fix.patch which fixes
    loading mpris_player plugin on Debian hardened build.

 -- Patryk Cisek <patryk@debian.org>  Mon, 10 Sep 2012 07:26:01 +0200

kadu (0.12.2-2) unstable; urgency=low

  * Added important fix in debian/patches/05-hotfix_upstream.patch reported
    by upstream
  * Using hardening-wrapper from now on

 -- Patryk Cisek <patryk@debian.org>  Wed, 05 Sep 2012 09:31:06 +0200

kadu (0.12.2-1) unstable; urgency=low

  * New upstream release
  * Added import_history plugin back
  * Bumped debhelper's version in Build-Depends
  * Added Pre-Depends: ${misc:Pre-Depends} to kadu and
    kadu-external-modules
  * Added translations to mpd_mediaplayer plugin in debian/kadu-
    common.install

 -- Patryk Cisek <patryk@debian.org>  Mon, 03 Sep 2012 16:03:29 +0200

kadu (0.12.0-1) unstable; urgency=low

  * New upstream release
  * Updated debian/build_kadu.sh to new branches names (0.12/*)
  * Updated debian/patches/03-about-dialog.patch to make it fit 0.12.0
  * Removed importhistory module, since it's no longer maintained
  * Removed debian/tmp/usr/share/kadu/plugins/sdk/ from
    debian/kadu-dev.install
  * Using dpkg-buildflags for hardening now
  * Removed glass icon theme until directory names get fixed
  * Fixed resolution of dialog-error.png in default icon theme

 -- Patryk Cisek <patryk@debian.org>  Sun, 05 Aug 2012 17:21:53 +0200

=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Patryk Cisek <patryk@debian.org>
Vcs-Git: git://git.debian.org/users/patryk/kadu.git
Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
Build-Depends: bzip2,
               cmake (>=2.6),
               debhelper (>= 8.1.3),
               enchant,
               hardening-wrapper,
               libasound2-dev,
               libaudio-dev,
               libdbus-1-dev,
               libenchant-dev,
               libgadu-dev,
               libidn11-dev,
               libindicate-qt-dev,
               libmpdclient-dev,
               libphonon-dev,
               libqca2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsndfile1-dev (>= 1.0),
               libsqlite3-dev,
               libxfixes-dev,
               libxss-dev,
               libxtst-dev,
               patchutils (>= 0.2.25),
               sharutils,
               x11proto-scrnsaver-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://kadu.net

Package: kadu
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kadu-common (= ${source:Version}),
         libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         libqt4-svg,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kadu-external-modules (>= 0.10.0-2)
Breaks: kadu-external-modules (<< 0.10.0-2)
Replaces: kadu-external-modules (<< 0.10.0-2)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides Kadu along with plugins developed by Kadu developers.

Package: kadu-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kadu-external-modules (>= 0.10.0-2)
Breaks: kadu-external-modules (<< 0.10.0-2)
Replaces: kadu-external-modules (<< 0.10.0-2)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Development files needed to compile plugins for kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides development files needed to compile plugins for Kadu.

Package: kadu-external-modules
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kadu (>= 0.10.0-2), ${misc:Depends}, ${shlibs:Depends}
Breaks: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
Replaces: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
Description: Additional plugins for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional packages developed by external developers.
 See README.Debian for more details.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional icons, sounds and emoticons themes for
 Kadu.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

export DEB_BUILD_HARDENING=1

PKG_DIR=$(shell pwd)
BUILD_DIR=$(CURDIR)/build-dir
INSTALL_DIR=$(PKG_DIR)/debian/tmp
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir $(BUILD_DIR)
	find . -name '*.o' -delete
	bash debian/handle_external.sh copy
	# Default to Linux
	debian/prepare_install_files.sh linux
	# If kfreebsd or hurd, modify .install files
ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
		debian/prepare_install_files.sh non-linux
endif
ifeq ($(DEB_BUILD_ARCH_OS), hurd)
		debian/prepare_install_files.sh non-linux
endif
	cd $(BUILD_DIR) && cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr $(PKG_DIR)
	touch configure-stamp

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	cd $(BUILD_DIR) && $(MAKE) VERBOSE=1
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	test -d $(BUILD_DIR) && cd $(BUILD_DIR) && $(MAKE) clean || true
	rm -rf $(BUILD_DIR)
	bash debian/handle_external.sh remove
	debian/prepare_install_files.sh linux
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i
	cd $(BUILD_DIR) && $(MAKE) DESTDIR=$(INSTALL_DIR) install
	# Remove all license files
	find $(INSTALL_DIR) -name '[lL][iI][cC][eE][nN][sS][eE].txt' -delete
	# Remove all thumbnails files
	find $(INSTALL_DIR) -name Thumbs.db -delete
	rm -f $(INSTALL_DIR)/usr/share/kadu/themes/sounds/bns/sound.conf~
	# Move FindKadu.cmake to proper directory
	mkdir -p $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
	cp $(INSTALL_DIR)/usr/share/cmake/Modules/FindKadu.cmake $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s
	cd $(BUILD_DIR) && $(MAKE) DESTDIR=$(INSTALL_DIR) install
	cp $(INSTALL_DIR)/usr/share/kadu/ChangeLog debian/kadu/usr/share/doc/kadu/about-changes-tab.txt
	rm -f $(INSTALL_DIR)/usr/share/kadu/modules/data/osd_hints/License
	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress -XAUTHORS -XTHANKS -XLICENSE -Xabout-changes-tab.txt
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
version=3

opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
http://www.kadu.net/download/stable/kadu-(.*)\.tar\.bz2

opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
http://code.google.com/p/kadu/downloads/list http://kadu.googlecode.com/files/kadu-(.*).tar.bz2

## kadu 1.0~rc2.5

=== debian/changelog ===
kadu (1.0~rc2.5-1) unstable; urgency=low

  * New upstream release (Closes: #746102).
  * Cleaned-up debian/patches -- made those fit Kadu 1.0
  * Added pkgconf, libarchive-dev and libotr5-dev to Build-Depends
  * Removed kadu-external-modules package
  * Updated debian/*.install files
  * Replaced hardening-wrapper with dpkg-buildflags
  * In debian/rules (install/install-indep) moving cmake files to proper
    directory
  * Added -DCMAKE_SKIP_RPATH=True to cmake call
  * Bumped version of debhelper in Build-Depends
  * Added debian/patches/03-install_libkadu_in_proper_dir.patch
  * Added debian/post{inst,rm} to call ldconfig for libkadu.so

 -- Patryk Cisek <patryk@debian.org>  Tue, 15 Jul 2014 19:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
 Build-Depends: bzip2,
                cmake (>=2.6),
-               debhelper (>= 8.1.3),
+               debhelper (>= 9),
                enchant,
-               hardening-wrapper,
+               libarchive-dev,
                libasound2-dev,
                libaudio-dev,
                libdbus-1-dev,
@@ -17,6 +17,7 @@
                libidn11-dev,
                libindicate-qt-dev,
                libmpdclient-dev,
+               libotr5-dev,
                libphonon-dev,
                libqca2-dev,
                libqt4-dev,
@@ -27,10 +28,11 @@
                libxss-dev,
                libxtst-dev,
                patchutils (>= 0.2.25),
+               pkgconf,
                sharutils,
                x11proto-scrnsaver-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://kadu.net
 
 Package: kadu
@@ -42,9 +44,8 @@
          libqt4-svg,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: kadu-external-modules (>= 0.10.0-2)
-Breaks: kadu-external-modules (<< 0.10.0-2)
-Replaces: kadu-external-modules (<< 0.10.0-2)
+Breaks: kadu-external-modules (<< 1.0)
+Replaces: kadu-external-modules (<< 1.0)
 Suggests: kadu-themes
 Description: Gadu-Gadu/XMPP client for X11
  Gadu-Gadu is a Windows instant messenger, very popular in Poland.
@@ -55,9 +56,7 @@
 Package: kadu-common
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: kadu-external-modules (>= 0.10.0-2)
 Breaks: kadu-external-modules (<< 0.10.0-2)
-Replaces: kadu-external-modules (<< 0.10.0-2)
 Suggests: kadu-themes
 Description: Gadu-Gadu/XMPP client for X11
  Gadu-Gadu is a Windows instant messenger, very popular in Poland.
@@ -74,19 +73,6 @@
  .
  This package provides development files needed to compile plugins for Kadu.
 
-Package: kadu-external-modules
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: kadu (>= 0.10.0-2), ${misc:Depends}, ${shlibs:Depends}
-Breaks: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
-Replaces: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
-Description: Additional plugins for Kadu
- Gadu-Gadu is a Windows instant messenger, very popular in Poland.
- Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
- .
- This package provides additional packages developed by external developers.
- See README.Debian for more details.
-
 Package: kadu-themes
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,12 @@
 INSTALL_DIR=$(PKG_DIR)/debian/tmp
 DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 
 configure: configure-stamp
 configure-stamp:
@@ -24,7 +30,7 @@
 ifeq ($(DEB_BUILD_ARCH_OS), hurd)
 		debian/prepare_install_files.sh non-linux
 endif
-	cd $(BUILD_DIR) && cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr $(PKG_DIR)
+	cd $(BUILD_DIR) && cmake -DCMAKE_SKIP_RPATH=True -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr $(PKG_DIR)
 	touch configure-stamp
 
 #Architecture
@@ -61,9 +67,6 @@
 	# Remove all thumbnails files
 	find $(INSTALL_DIR) -name Thumbs.db -delete
 	rm -f $(INSTALL_DIR)/usr/share/kadu/themes/sounds/bns/sound.conf~
-	# Move FindKadu.cmake to proper directory
-	mkdir -p $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
-	cp $(INSTALL_DIR)/usr/share/cmake/Modules/FindKadu.cmake $(INSTALL_DIR)/usr/share/cmake-2.8/Modules/
 	dh_install -i
 
 install-arch:
